Package org.postgresql.util

# Class GettableHashMap<K extends @NonNull Object,V extends @NonNull Object>

java.lang.Object
java.util.AbstractMap<K,V>
java.util.HashMap<K,V>
org.postgresql.util.GettableHashMap<K,V>

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Map<K,V>`, `Gettable<K,V>`

public class GettableHashMap<K extends @NonNull Object,V extends @NonNull Object> extends HashMap<K,V> implements Gettable<K,V>

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K extends Object,V extends Object>, AbstractMap.SimpleImmutableEntry<K extends Object,V extends Object>`

## Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K extends Object,V extends Object>`

## Constructor Summary

Constructors
Constructor
Description
`GettableHashMap()`

## Method Summary

### Methods inherited from class java.util.HashMap

`clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

### Methods inherited from class java.util.AbstractMap

`equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.postgresql.util.Gettable

`get`

### Methods inherited from interface java.util.Map

`equals, hashCode`

## Constructor Details

### GettableHashMap

public GettableHashMap()